import type { _INIntent } from "./INIntent.js";
import type { _INMediaItem } from "./INMediaItem.js";
import type { _INMediaSearch } from "./INMediaSearch.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { INPlaybackQueueLocation } from "./INPlaybackQueueLocation.js";
import type { INPlaybackRepeatMode } from "./INPlaybackRepeatMode.js";
export declare class _INPlayMediaIntent extends _INIntent {
    static alloc(): _INPlayMediaIntent;
    static new(): _INPlayMediaIntent;
    init(): _INPlayMediaIntent;
    initWithMediaItems$mediaContainer$playShuffled$playbackRepeatMode$resumePlayback$playbackQueueLocation$playbackSpeed$mediaSearch$(mediaItems: _NSArray | null, mediaContainer: _INMediaItem | null, playShuffled: _NSNumber | null, playbackRepeatMode: INPlaybackRepeatMode, resumePlayback: _NSNumber | null, playbackQueueLocation: INPlaybackQueueLocation, playbackSpeed: _NSNumber | null, mediaSearch: _INMediaSearch | null): _INPlayMediaIntent;
    /** @deprecated Use the designated initializer instead */
    initWithMediaItems$mediaContainer$playShuffled$playbackRepeatMode$resumePlayback$(mediaItems: _NSArray | null, mediaContainer: _INMediaItem | null, playShuffled: _NSNumber | null, playbackRepeatMode: INPlaybackRepeatMode, resumePlayback: _NSNumber | null): _INPlayMediaIntent;
    mediaItems(): _NSArray | null;
    mediaContainer(): _INMediaItem | null;
    /**
     * An NSNumber representing a boolean value where true indicates that the media should be shuffled.
     */
    playShuffled(): _NSNumber;
    playbackRepeatMode(): INPlaybackRepeatMode;
    /**
     * An NSNumber representing a boolean value where true indicates that the media should be resumed.
     */
    resumePlayback(): _NSNumber;
    playbackQueueLocation(): INPlaybackQueueLocation;
    playbackSpeed(): _NSNumber;
    mediaSearch(): _INMediaSearch | null;
}
